Name:           xinput_calibrator
Version:        0.7.5
Release:        2%{?dist}
Summary:        A generic touchscreen calibration program for X.Org
Group:          Applications/System
License:        MIT
URL:            http://www.freedesktop.org/wiki/Software/xinput_calibrator
Source0:        http://github.com/downloads/tias/xinput_calibrator/xinput_calibrator-%{version}.tar.gz
BuildRequires:  desktop-file-utils
BuildRequires:  libXtst-devel
BuildRequires:  gtk2-devel
#Requires


%description
xinput_calibrator is a program for calibrating your touchscreen, when using
the X Window System.
It currently features:
 - works for any standard Xorg touchscreen driver (uses XInput protocol)
 - mis-click detection (prevents bogus calibration)
 - dynamically recalibrates the evdev driver
 - outputs the calibration as xorg.conf.d snippet or HAL policy file
 - and more


%prep
%setup -q


%build
%configure --with-gui=gtkmm \
           --with-gui=x11
make %{?_smp_mflags}


%install
make install INSTALL="install -p" DESTDIR=%{buildroot}
# Install xinput_calibrator.desktop :
desktop-file-install                       \
--dir=%{buildroot}%{_datadir}/applications \
./scripts/%{name}.desktop


%files
%doc README COPYING Changelog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/pixmaps/%{name}.xpm


%changelog
* Wed Nov 04 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 0.7.5-2
- minor cleanup spec file

* Tue Oct 25 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 0.7.5-1
- initial RPM
